Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface NodeItem

All Known Subinterfaces:
  OvalNodeItem, RectangleNodeItem

All Known Implementing Classes:
  NodeItemImpl, OvalNodeItemImpl, RectangleNodeItemImpl

public interface NodeItem
extends CompositeItem, CompositeItemS

A class for displaying a node on a Canvas.. A class for displaying a node on a Canvas. A NodeItem has a position, a font, color, border color and width.

Method Summary
`void` | `createPaddedText()` Create the space for the text for the node.
`void` | `createText()` Create the text for the node.
`int` | `getX()` Get the x position of the node on the canvas.
`int` | `getY()` Get the y position of the node on the canvas.
`void` | `resetString(java.lang.String string)` Change the label on the string after the node is created.
`void` | `setBorderColor(java.lang.String aColor)` Set the border color of the node.
`void` | `setBorderWidth(int aVal)` Set the width of the border.
`void` | `setColor(java.lang.String aColor)` Set the color of the node.

Methods inherited from interface swarm.gui.CompositeItem
`moveX$Y`

Methods inherited from interface swarm.gui.CanvasAbstractItem
`clicked, getCanvas, initiateMoveX$Y, setClickSel, setMoveSel, setPostMoveSel, setTargetId`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### resetString

    public void resetString(java.lang.String string)

  Change the label on the string after the node is created.

### getX

    public int getX()

  Get the x position of the node on the canvas.

### getY

    public int getY()

  Get the y position of the node on the canvas.

### setColor

    public void setColor(java.lang.String aColor)

  Set the color of the node.

### setBorderColor

    public void setBorderColor(java.lang.String aColor)

  Set the border color of the node.

### setBorderWidth

    public void setBorderWidth(int aVal)

  Set the width of the border.

### createText

    public void createText()

  Create the text for the node.

### createPaddedText

    public void createPaddedText()

  Create the space for the text for the node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD